Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class LoadEventListener.LoadType

    java.lang.Object
      org.hibernate.event.spi.LoadEventListener.LoadType

Enclosing interface:
  LoadEventListener

    public static final class LoadEventListener.LoadType

extends Object

Method Summary
`String` | `getName()`
`boolean` | `isAllowNulls()`
`boolean` | `isAllowProxyCreation()`
`boolean` | `isCheckDeleted()`
`boolean` | `isNakedEntityReturned()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isAllowNulls

    public boolean isAllowNulls()

### isNakedEntityReturned

    public boolean isNakedEntityReturned()

### isCheckDeleted

    public boolean isCheckDeleted()

### isAllowProxyCreation

    public boolean isAllowProxyCreation()

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.